> For the complete documentation index, see [llms.txt](https://docs.txn.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.txn.io/accounts/reading-account.md).

# Reading account

<mark style="color:green;">`GET`</mark> `/api/public/v1/accounts/:id`

Returns a single account by ID, including its balance and the networks available for receiving deposits.

**Headers**

| Name          | Value                      |
| ------------- | -------------------------- |
| Content-Type  | `application/vnd.api+json` |
| Authorization | `Bearer <api_key>`         |

**Path Parameters**

| Name | Type   | Description |
| ---- | ------ | ----------- |
| id   | string | Account ID. |

**Response**

{% tabs %}
{% tab title="HTTP 200 (crypto account)" %}

```json
{
  "data": {
    "id": "e289de2b-37bd-4eff-b832-f754c31a2d95",
    "type": "accounts",
    "attributes": {
      "master": true,
      "currencyCode": "USDT",
      "label": "master",
      "bankReference": "BDR4180381621673581",
      "balance": "344086.455299",
      "totalBalance": "344219.499753",
      "bankWithdrawalAvailable": false,
      "bankDepositAvailable": false,
      "transferAvailable": true,
      "currencyType": "crypto"
    },
    "relationships": {
      "company": {
        "meta": {
          "included": false
        }
      },
      "networks": {
        "data": [
          {
            "type": "network",
            "id": "2cfea86d-f334-4bd2-99ac-e74281520c95"
          },
          {
            "type": "network",
            "id": "8ededca3-a1cd-4b46-8c3a-14915f706ab2"
          },
          {
            "type": "network",
            "id": "490f02d4-b09a-4486-a469-d10c2ea43638"
          },
          {
            "type": "network",
            "id": "927d49d4-f4b2-48dc-876d-ac375337ec2a"
          }
        ]
      }
    }
  },
  "included": [
    {
      "id": "2cfea86d-f334-4bd2-99ac-e74281520c95",
      "type": "network",
      "attributes": {
        "currencyCode": "USDT",
        "name": "Ethereum (ERC20)",
        "code": "hterc6dp"
      }
    },
    {
      "id": "8ededca3-a1cd-4b46-8c3a-14915f706ab2",
      "type": "network",
      "attributes": {
        "currencyCode": "USDT",
        "name": "Tron (TRC20)",
        "code": "ttrx:usdt"
      }
    },
    {
      "id": "490f02d4-b09a-4486-a469-d10c2ea43638",
      "type": "network",
      "attributes": {
        "currencyCode": "USDT",
        "name": "Polygon (ERC20)",
        "code": "tpolygon:usdt"
      }
    },
    {
      "id": "927d49d4-f4b2-48dc-876d-ac375337ec2a",
      "type": "network",
      "attributes": {
        "currencyCode": "USDT",
        "name": "Binance Smart Chain (BEP20)",
        "code": "tbsc:usdt"
      }
    }
  ],
  "meta": {},
  "jsonapi": {
    "version": "1.0"
  }
}
```

{% endtab %}

{% tab title="HTTP 200 (fiat account)" %}

```json
{
  "data": {
    "id": "1b67dc40-4fd9-4318-9329-c9afb3ed8a15",
    "type": "accounts",
    "attributes": {
      "master": false,
      "currencyCode": "EUR",
      "label": "EUR_1",
      "bankReference": "BDR0154632342411086",
      "balance": "120.50",
      "totalBalance": "120.50",
      "bankWithdrawalAvailable": true,
      "bankDepositAvailable": true,
      "transferAvailable": true,
      "currencyType": "fiat"
    },
    "relationships": {
      "company": {
        "meta": {
          "included": false
        }
      },
      "networks": {
        "data": []
      },
      "txnBankCredentials": {
        "data": [
          {
            "type": "txnBankCredential",
            "id": "3808e047-3479-4ba9-88dc-31729b4666d5"
          }
        ]
      }
    }
  },
  "included": [
    {
      "id": "3808e047-3479-4ba9-88dc-31729b4666d5",
      "type": "txnBankCredential",
      "attributes": {
        "currencyCode": "EUR",
        "beneficiaryName": "Acme Commerce Ltd",
        "iban": "DE89370400440532013000",
        "bic": "COBADEFFXXX",
        "bankName": "Commerzbank",
        "bankAddress": "Kaiserplatz, 60311 Frankfurt am Main, Germany"
      }
    }
  ],
  "meta": {},
  "jsonapi": {
    "version": "1.0"
  }
}
```

{% endtab %}
{% endtabs %}

**Response Body**

<table><thead><tr><th>Name</th><th width="102">Type</th><th>Description</th></tr></thead><tbody><tr><td>data.id</td><td>string</td><td>Account ID.</td></tr><tr><td>data.type</td><td>string</td><td>Entity type returned. Always <code>accounts</code>.</td></tr><tr><td>data.attributes</td><td>object</td><td>A set of account attributes.</td></tr><tr><td>data.attributes.master</td><td>boolean</td><td>If <code>true</code>, account is master. If <code>false</code>, account is subaccount.</td></tr><tr><td>data.attributes.bankReference</td><td>string</td><td>Unique bank deposit reference for each account and subaccount. Example: <code>BDR6421088115176062</code>.</td></tr><tr><td>data.attributes.label</td><td>string</td><td>Account label.</td></tr><tr><td>data.attributes.currencyCode</td><td>string</td><td>Account currency code. Refer to the list of <a href="/pages/SA7q0b6VrvXO3W09TQfS">supported currencies</a>.</td></tr><tr><td>data.attributes.balance</td><td>string</td><td>Account balance. Returned as a string for decimal precision.</td></tr><tr><td>data.attributes.totalBalance</td><td>string</td><td>For master accounts only. Total balance across the master account and its subaccounts.</td></tr><tr><td>data.attributes.bankWithdrawalAvailable</td><td>boolean</td><td>If <code>true</code>, bank withdrawals can be initiated from this account. If <code>false</code>, they are restricted.</td></tr><tr><td>data.attributes.bankDepositAvailable</td><td>boolean</td><td>If <code>true</code>, the account can receive bank deposits.</td></tr><tr><td>data.attributes.transferAvailable</td><td>boolean</td><td>If <code>true</code>, the account can send and receive internal transfers.</td></tr><tr><td>data.attributes.currencyType</td><td>string</td><td>Account currency type. Either <code>fiat</code> or <code>crypto</code>.</td></tr><tr><td>data.relationships.txnBankCredentials.data[].type</td><td>string</td><td>Entity type of a linked bank credential. Always <code>txnBankCredential</code>.</td></tr><tr><td>data.relationships.txnBankCredentials.data[].id</td><td>string</td><td>ID of a linked bank credential, expanded under <code>included</code>. Populated for fiat accounts and empty for crypto accounts.</td></tr><tr><td>included[].type(network).id</td><td>string</td><td>Network ID. Use this as <code>network_id</code> when <a href="/pages/GuYa9jkGwNxdQ4yp9iA0">creating an account address</a>. Present for crypto accounts.</td></tr><tr><td>included[].type(network).attributes.currencyCode</td><td>string</td><td>Network currency code. Useful for display to end users.</td></tr><tr><td>included[].type(network).attributes.name</td><td>string</td><td>Human-readable network name, e.g. <code>Tron (TRC20)</code>. Useful for display to end users.</td></tr><tr><td>included[].type(network).attributes.code</td><td>string</td><td>Network code, e.g. <code>ttrx:usdt</code>. See <a href="/pages/SA7q0b6VrvXO3W09TQfS">Supported currencies</a>.</td></tr><tr><td>included[].type(txnBankCredential).attributes</td><td>object</td><td>Bank deposit credentials for a fiat account. Use these details to fund the account by bank transfer.</td></tr><tr><td>included[].type(txnBankCredential).attributes.currencyCode</td><td>string</td><td>Currency of the bank credential.</td></tr><tr><td>included[].type(txnBankCredential).attributes.beneficiaryName</td><td>string</td><td>Name of the beneficiary on the bank account.</td></tr><tr><td>included[].type(txnBankCredential).attributes.iban</td><td>string</td><td>Beneficiary IBAN.</td></tr><tr><td>included[].type(txnBankCredential).attributes.bic</td><td>string</td><td>Beneficiary bank BIC/SWIFT code.</td></tr><tr><td>included[].type(txnBankCredential).attributes.bankName</td><td>string</td><td>Name of the beneficiary's bank.</td></tr><tr><td>included[].type(txnBankCredential).attributes.bankAddress</td><td>string</td><td>Address of the beneficiary's bank.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.txn.io/accounts/reading-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
